Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: nix
Source: https://nixos.org/releases/nix/latest/
Comment: Reasons for file exclusions
 - eval-okay-fromjson.nix contains an example from an RFC file
   see https://github.com/NixOS/nix/issues/3391
 - exclude bundled dependency json.hpp (package nlohmann-json3-dev)
 - exclude bundled dependency highlight.js

Files: *
Copyright: 2006-2020 Eelco Dostra
License: LGPL-2.1
Comment: The upstream code is ambiguous about whether the license is
 LGPL-2.1 or LGPL-2.1+, see https://github.com/NixOS/nix/issues/3390.
 README.md says: "Nix is released under the LGPL v2.1".
 nix.spec.in and about-nix.xml say "LGPL 2.1+".
 Thus leaving the more conservative choice here until upstream resolves
 this.

License: LGPL-2.1
 This package is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later version.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this program. If not, see <https://www.gnu.org/licenses/>.
 .
 On Debian systems, the complete text of the GNU Lesser General
 Public License can be found in "/usr/share/common-licenses/LGPL-2.1".

Files: config/install-sh
Copyright: Copyright (C) 1994 X Consortium
License: MIT

License: MIT
 Permission is hereby  granted, free of charge, to any  person obtaining a copy
 of this software and associated  documentation files (the "Software"), to deal
 in the Software  without restriction, including without  limitation the rights
 to  use, copy,  modify, merge,  publish, distribute,  sublicense, and/or  sell
 copies  of  the Software,  and  to  permit persons  to  whom  the Software  is
 furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.
 .
 THE SOFTWARE  IS PROVIDED "AS  IS", WITHOUT WARRANTY  OF ANY KIND,  EXPRESS OR
 IMPLIED,  INCLUDING BUT  NOT  LIMITED TO  THE  WARRANTIES OF  MERCHANTABILITY,
 FITNESS FOR  A PARTICULAR PURPOSE AND  NONINFRINGEMENT. IN NO EVENT  SHALL THE
 AUTHORS  OR COPYRIGHT  HOLDERS  BE  LIABLE FOR  ANY  CLAIM,  DAMAGES OR  OTHER
 LIABILITY, WHETHER IN AN ACTION OF  CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE  OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.

Files: m4/ax_cxx_compile_stdcxx.m4
Copyright: Copyright (c) 2008 Benjamin Kosnik <bkoz@redhat.com>
 Copyright (c) 2012 Zack Weinberg <zackw@panix.com>
 Copyright (c) 2013 Roy Stogner <roystgnr@ices.utexas.edu>
 Copyright (c) 2014, 2015 Google Inc.; contributed by Alexey Sokolov <sokolov@google.com>
 Copyright (c) 2015 Paul Norman <penorman@mac.com>
 Copyright (c) 2015 Moritz Klammler <moritz@klammler.eu>
 Copyright (c) 2016, 2018 Krzesimir Nowak <qdlacz@gmail.com>
 Copyright (c) 2019 Enji Cooper <yaneurabeya@gmail.com>
License: FSFAP

Files: m4/ax_cxx_compile_stdcxx_17.m4
Copyright: Copyright (c) 2015 Moritz Klammler <moritz@klammler.eu>
 Copyright (c) 2016 Krzesimir Nowak <qdlacz@gmail.com>
License: FSFAP

License: FSFAP
 Copying and distribution of this file, with or without modification, are
 permitted in any medium without royalty provided the copyright notice
 and this notice are preserved.  This file is offered as-is, without any
 warranty.

Files: src/toml11/*
Copyright: Copyright (c) 2017 Toru Niina
License: MIT
Comment: See https://bugs.debian.org/1004498 for a RFP

Files: debian/*
Copyright: 2017-2018 Kai Harries <kai.harries@gmail.com>
           2018-2022 Thomas Koch <thomas@koch.ro>
License: GPL-2+
 This package is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program. If not, see <https://www.gnu.org/licenses/>
 .
 On Debian systems, the complete text of the GNU General
 Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
